// DialogAppDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DialogApp.h"
#include "DialogAppDlg.h"
#include ".\dialogappdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CDialogAppDlg dialog



CDialogAppDlg::CDialogAppDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogAppDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

BEGIN_MESSAGE_MAP(CDialogAppDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_ZPRAVABUTTON, OnBnClickedZpravabutton)
	ON_BN_CLICKED(IDC_MUJCHECK, OnBnClickedMujcheck)
	ON_LBN_SELCHANGE(IDC_HISTORIELIST, OnLbnSelchangeHistorielist)
END_MESSAGE_MAP()


// CDialogAppDlg message handlers

BOOL CDialogAppDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	CButton * dobra_radio = (CButton *)GetDlgItem(IDC_DOBRARADIO);
	dobra_radio->SetCheck(BST_CHECKED);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDialogAppDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDialogAppDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDialogAppDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CDialogAppDlg::OnBnClickedZpravabutton()
{
	CEdit * zprava_edit = (CEdit*) GetDlgItem(IDC_ZPRAVAEDIT);
	CString zprava;
	zprava_edit->GetWindowText(zprava);

	zprava += _T(", ");

	CButton * dobra_nalada = (CButton *) GetDlgItem(IDC_DOBRARADIO);
	if (dobra_nalada->GetCheck() == BST_CHECKED)
		zprava += _T("mte dobrou nladu.");
	else
		zprava += _T("mte patnou nladu.");

	// pidej do historie
	CListBox * historie = (CListBox *) GetDlgItem(IDC_HISTORIELIST);
	historie->AddString(zprava);

	MessageBox(zprava);
}

void CDialogAppDlg::OnBnClickedMujcheck()
{
	CButton * muj_check = (CButton *) GetDlgItem(IDC_MUJCHECK);
	CEdit * zprava_edit = (CEdit *) GetDlgItem(IDC_ZPRAVAEDIT);

	if (muj_check->GetCheck() == BST_CHECKED)
		zprava_edit->SetWindowText(_T("Zakrtli jste tlatko"));
	else
		zprava_edit->SetWindowText(_T("Odkrtli jste tlatko"));

}

void CDialogAppDlg::OnLbnSelchangeHistorielist()
{
	CEdit * zprava_edit = (CEdit *) GetDlgItem(IDC_ZPRAVAEDIT);
	CListBox * historie = (CListBox *) GetDlgItem(IDC_HISTORIELIST);

	CString text;
	int index = historie->GetCurSel();
	historie->GetText(index, text);
	zprava_edit->SetWindowText(text);
}
